Bug 106558 - Fileopen DOC: Image from header slightly moved upwards (revealing what's beneath)
Summary: Fileopen DOC: Image from header slightly moved upwards (revealing what's bene...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC-Header-Footer
  Show dependency treegraph
 
Reported: 2017-03-15 19:45 UTC by Matus Valo
Modified: 2022-04-25 03:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
document where the bug is appearing (295.00 KB, application/msword)
2017-03-15 19:45 UTC, Matus Valo
Details
screenshot of corrupted document (55.64 KB, image/png)
2017-03-15 19:47 UTC, Matus Valo
Details
The example of correct display in MS word (25.57 KB, image/png)
2017-03-15 19:49 UTC, Matus Valo
Details
pdf generated by writer (323.42 KB, application/pdf)
2017-03-15 19:53 UTC, Matus Valo
Details
DOC compared MSO LO (97.29 KB, image/png)
2020-04-24 10:08 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matus Valo 2017-03-15 19:45:08 UTC
Created attachment 131910 [details]
document where the bug is appearing

Images embedded in header are not showed correctly. The document is attached in the bug.
Comment 1 Matus Valo 2017-03-15 19:47:38 UTC
Created attachment 131911 [details]
screenshot of corrupted document
Comment 2 Matus Valo 2017-03-15 19:49:59 UTC
Created attachment 131912 [details]
The example of correct display in MS word
Comment 3 Matus Valo 2017-03-15 19:53:26 UTC
Created attachment 131913 [details]
pdf generated by writer

Even generating pdf file is giving corrupted header.
Comment 4 Xisco Faulí 2017-03-15 20:23:56 UTC
Confirmed in

- Version: 5.4.0.0.alpha0+
Build ID: d3b5bd4a07a619db6bee1c39c32280ac3c620532
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

- Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

- Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

- Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

- LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 5 QA Administrators 2018-03-16 03:36:39 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2018-03-17 20:51:01 UTC
Still buggy in Version: 6.1.0.0.alpha0+
Build ID: df4253787e9f6ba4951ee2f416ec65937b2c8ddf
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-03-16_23:54:15
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 7 QA Administrators 2019-06-15 03:00:45 UTC Comment hidden (obsolete)
Comment 8 Matus Valo 2019-08-05 20:29:38 UTC
Still buggy in
Version: 6.3.0.3 (x64)
Build ID: c75130c129d9c5e43b76e4f26881b3db8bdb5c91
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 9 Justin L 2020-04-23 16:49:32 UTC
This is a fairly ridiculous example.  An "as character" image is trying to hide a smaller, grouped version of itself, which is anchored "to character".

Perhaps just delete the small one?
Comment 10 Timur 2020-04-24 10:08:55 UTC
Created attachment 159893 [details]
DOC compared MSO LO

To be better seen, I moved upper logo image to the right and resaved DOC in MSO.
LO slightly moves logo up (so real grouped logo is covered differently). Happens also from DOCX.
Comment 11 QA Administrators 2022-04-25 03:26:25 UTC
Dear Matus Valo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug